Mailboxes

Get a message's raw MIME

Returns a short-lived URL for the message exactly as it was received (`message/rfc822`). Sent messages have no stored MIME.

GET
/v1/mailboxes/{id}/messages/{messageId}/raw

Returns a short-lived URL for the message exactly as it was received (message/rfc822). Sent messages have no stored MIME.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
messageId*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

MailboxDownloadUrl

application/json
  1. response
url*string
expiresAt*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.mailboxes.getMessageRaw({  "id": "example",  "messageId": "example"});
Example Response
{  "url": "string",  "expiresAt": "string"}

Related documentation